Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge branch 'master' into issue-126

  • Loading branch information...
commit 56d679b642d1401e50d96e8588b562c23c09648c 2 parents f70c9f7 + a4607d5
preethiramdev preethiramdev authored
4 Changelog.md
View
@@ -1,5 +1,5 @@
-### dev
-[full changelog](http://github.com/rspec/rspec-core/compare/v2.8.0...master)
+### 2.9.0.rc2 / 2012-02-12
+[full changelog](http://github.com/rspec/rspec-core/compare/v2.8.0...v2.9.0.rc2)
Enhancements
3  Gemfile
View
@@ -2,7 +2,6 @@ source "http://rubygems.org"
gemspec
-### rspec libs
%w[rspec rspec-core rspec-expectations rspec-mocks].each do |lib|
library_path = File.expand_path("../../#{lib}", __FILE__)
if File.exist?(library_path)
@@ -12,6 +11,8 @@ gemspec
end
end
+gem 'rake', '~> 0.9.2'
+
platforms :jruby do
gem "jruby-openssl"
end
2  README.md
View
@@ -32,7 +32,7 @@ describe Order do
end
```
-The `describe` method creates an [ExampleGroup](../RSpec/Core/ExampleGroup). Within the
+The `describe` method creates an [ExampleGroup](http://rubydoc.info/gems/rspec-core/RSpec/Core/ExampleGroup). Within the
block passed to `describe` you can declare examples using the `it` method.
Under the hood, an example group is a class in which the block passed to
2  lib/rspec/core/version.rb
View
@@ -1,7 +1,7 @@
module RSpec
module Core
module Version
- STRING = '2.8.0'
+ STRING = '2.9.0.rc2'
end
end
end
9 rspec-core.gemspec
View
@@ -23,15 +23,14 @@ Gem::Specification.new do |s|
s.rdoc_options = ["--charset=UTF-8"]
s.require_path = "lib"
- s.add_development_dependency "rake", "~> 0.9.2"
- s.add_development_dependency "cucumber", "~> 1.1.0"
+ s.add_development_dependency "cucumber", "~> 1.1.9"
s.add_development_dependency "aruba", "~> 0.4.11"
s.add_development_dependency "ZenTest", "4.6.2"
- s.add_development_dependency "nokogiri", "1.5.0"
+ s.add_development_dependency "nokogiri", "1.5.2"
s.add_development_dependency "fakefs", "0.4.0"
s.add_development_dependency "syntax", "1.0.0"
- s.add_development_dependency "mocha", "~> 0.10.0"
- s.add_development_dependency "rr", "~> 1.0.2"
+ s.add_development_dependency "mocha", "~> 0.10.5"
+ s.add_development_dependency "rr", "~> 1.0.4"
s.add_development_dependency "flexmock", "~> 0.9.0"
end
Please sign in to comment.
Something went wrong with that request. Please try again.